implement Database.get_version() and Database.needs_upgrade()
-rw-r--r-- 34 .hgignore
-rw-r--r-- 1120 README
drwxr-xr-x - cnotmuch
drwxr-xr-x - docs
-rwxr-xr-x 6467 notmuch